Bug 862098 - [abrt] rhythmbox-2.97-1.fc17: g_vasprintf: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: g_vasprintf: Process /usr/bin/rhythmbox was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:133e29d8c2df052f38028c04bef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 16:54 EDT by Stuart D Gathman
Modified: 2013-07-31 17:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.59 KB, text/plain)
2012-10-01 16:54 EDT, Stuart D Gathman
no flags Details
File: environ (1.49 KB, text/plain)
2012-10-01 16:54 EDT, Stuart D Gathman
no flags Details
File: backtrace (100.47 KB, text/plain)
2012-10-01 16:54 EDT, Stuart D Gathman
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-01 16:54 EDT, Stuart D Gathman
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-01 16:55 EDT, Stuart D Gathman
no flags Details
File: maps (63.28 KB, text/plain)
2012-10-01 16:55 EDT, Stuart D Gathman
no flags Details
File: dso_list (22.02 KB, text/plain)
2012-10-01 16:55 EDT, Stuart D Gathman
no flags Details
File: build_ids (8.73 KB, text/plain)
2012-10-01 16:55 EDT, Stuart D Gathman
no flags Details
File: var_log_messages (294 bytes, text/plain)
2012-10-01 16:55 EDT, Stuart D Gathman
no flags Details
File: open_fds (1.23 KB, text/plain)
2012-10-01 16:55 EDT, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2012-10-01 16:54:52 EDT
Description of problem:
Closed rhythmbox just before logging out.

Version-Release number of selected component:
rhythmbox-2.97-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_vasprintf
kernel:         3.5.4-2.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #3 g_vasprintf at /lib/libglib-2.0.so.0
: #4 g_strdup_vprintf at /lib/libglib-2.0.so.0
: #7 g_return_if_fail_warning at /lib/libglib-2.0.so.0
: #8 rhythmdb_entry_unref at rhythmdb.c:1880
: #10 remove_one_song at rhythmdb-tree.c:1732
: #11 ?? at /lib/libglib-2.0.so.0
: #12 rhythmdb_tree_entry_delete_by_type at rhythmdb-tree.c:1749
: #13 rhythmdb_entry_delete_by_type at rhythmdb.c:3779
: #14 ffi_call_SYSV at ../src/x86/sysv.S:64
: #15 ffi_call at ../src/x86/ffi.c:303
Comment 1 Stuart D Gathman 2012-10-01 16:54:54 EDT
Created attachment 620008 [details]
File: core_backtrace
Comment 2 Stuart D Gathman 2012-10-01 16:54:55 EDT
Created attachment 620009 [details]
File: environ
Comment 3 Stuart D Gathman 2012-10-01 16:54:57 EDT
Created attachment 620010 [details]
File: backtrace
Comment 4 Stuart D Gathman 2012-10-01 16:54:58 EDT
Created attachment 620011 [details]
File: limits
Comment 5 Stuart D Gathman 2012-10-01 16:55:00 EDT
Created attachment 620012 [details]
File: cgroup
Comment 6 Stuart D Gathman 2012-10-01 16:55:01 EDT
Created attachment 620013 [details]
File: maps
Comment 7 Stuart D Gathman 2012-10-01 16:55:03 EDT
Created attachment 620014 [details]
File: dso_list
Comment 8 Stuart D Gathman 2012-10-01 16:55:04 EDT
Created attachment 620015 [details]
File: build_ids
Comment 9 Stuart D Gathman 2012-10-01 16:55:06 EDT
Created attachment 620016 [details]
File: var_log_messages
Comment 10 Stuart D Gathman 2012-10-01 16:55:07 EDT
Created attachment 620017 [details]
File: open_fds
Comment 11 Fedora End Of Life 2013-07-03 16:45:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 17:06:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.